/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/* ValueEvent.java,v 1.3 2002/08/02 15:39:24 jba Exp */
/**
 * This is the value event.
 *
 * @author <A HREF="mailto:jba@aps.anl.gov">
 * Janet Anderson</A>
 *
 * @version 1.0
*/

package jprobe;

import jca.*;
import jca.dbr.*;
import java.lang.*;

public class ValueEvent extends Object {
  protected int                       m_id=-1;
  protected JprobePv                  m_jprobePv;
  protected jca.dbr.DBR               m_dbr;

  public ValueEvent(JprobePv jprobePv, jca.dbr.DBR dbr) {
    m_id= -1;
    m_jprobePv=jprobePv;
    m_dbr=dbr;
  }

  public synchronized int id() {
    return m_id;
  }
  
  public synchronized JprobePv jprobePv() {
    return m_jprobePv;
  }

  public synchronized int type() {
    return m_dbr.type();
  }

  public synchronized int count() {
    return m_dbr.count();
  }

  public synchronized jca.dbr.DBR dbr() {
    return m_dbr;
  }
}
